Get a movement
curl --request GET \
--url https://api.fintoc.com/v1/accounts/{account_id}/movements/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "mov_BO381oEATXonG6bj",
"object": "movement",
"amount": -1717,
"comment": "Pago arriendo",
"currency": "CLP",
"description": "Cargo Seguro Proteccion Bancaria",
"document_number": null,
"pending": false,
"post_date": "2020-04-06T00:00:00.000Z",
"recipient_account": null,
"reference_id": "123740123",
"sender_account": null,
"status": "confirmed",
"transaction_date": "2020-04-04T02:19:23.000Z",
"transfer_id": "123740123",
"type": "transfer"
}{
"error": {
"type": "invalid_request_error",
"code": "empty_string",
"param": "link_token",
"message": "Empty string is invalid: link_token",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "api_error",
"code": "payment_required",
"message": "Your trial window expired or you have a pending payment. If you think that this is an error, send an email to soporte@fintoc.com. To catch up on payments, email billing@fintoc.com.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such movement: mov_BO381oEATXonG6bj",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Movements
Get a movement
Retrieves a movement of an account, using the link’s link_token to authenticate the request.
GET
/
v1
/
accounts
/
{account_id}
/
movements
/
{id}
Get a movement
curl --request GET \
--url https://api.fintoc.com/v1/accounts/{account_id}/movements/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fintoc.com/v1/accounts/{account_id}/movements/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "mov_BO381oEATXonG6bj",
"object": "movement",
"amount": -1717,
"comment": "Pago arriendo",
"currency": "CLP",
"description": "Cargo Seguro Proteccion Bancaria",
"document_number": null,
"pending": false,
"post_date": "2020-04-06T00:00:00.000Z",
"recipient_account": null,
"reference_id": "123740123",
"sender_account": null,
"status": "confirmed",
"transaction_date": "2020-04-04T02:19:23.000Z",
"transfer_id": "123740123",
"type": "transfer"
}{
"error": {
"type": "invalid_request_error",
"code": "empty_string",
"param": "link_token",
"message": "Empty string is invalid: link_token",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API Key: invalid-*oken"
}
}{
"error": {
"type": "api_error",
"code": "payment_required",
"message": "Your trial window expired or you have a pending payment. If you think that this is an error, send an email to soporte@fintoc.com. To catch up on payments, email billing@fintoc.com.",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_link_token",
"param": "link_token",
"message": "Invalid access token for link: link_nMNejK7BT8oGbvO4_token_****",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}{
"error": {
"type": "invalid_request_error",
"code": "missing_resource",
"param": "id",
"message": "No such movement: mov_BO381oEATXonG6bj",
"doc_url": "https://docs.fintoc.com/reference/errors"
}
}Path Parameters
Query Parameters
Response
The movement.
Was this page helpful?